from qutebrowser.config.configfiles import ConfigAPI
from qutebrowser.config.config import ConfigContainer

import sys, os

config = config
c = c

c.qt.args = ["blink-settings=darkMode=1"]
c.auto_save.session = True

# Bindings
config.bind('o', 'set-cmd-text -s :open', mode='normal')
config.bind('O', 'set-cmd-text -s :open {url:pretty}', mode='normal')
config.bind('w', 'set-cmd-text -s :open -t', mode='normal')
config.bind('W', 'set-cmd-text -s :open -t {url:pretty}', mode='normal')
config.bind('Fy', 'hint links yank-primary', mode='normal')
config.bind('yy', 'yank -s', mode='normal')
config.bind('Ev', 'spawn --detach mpv --ytdl-format=244+bestaudio/243+bestaudio/242+bestaudio/480p/worst {url}', mode='normal')
config.bind('EV', 'spawn --detach mpv {url}', mode='normal')
config.bind('Ea', 'spawn --detach mpv --no-video --force-window=yes {url}', mode='normal')
config.bind('Fv', 'hint links spawn --detach mpv --ytdl-format=244+bestaudio/243+bestaudio/242+bestaudio/480p/worst {hint-url}', mode='normal')
config.bind('FV', 'hint links spawn --detach mpv {hint-url}', mode='normal')
config.bind('Fa', 'hint links spawn --detach mpv --no-video --force-window=yes {hint-url}', mode='normal')
config.unbind('F')
config.bind('<Backspace>', 'back', mode='normal')
config.bind('<Shift-Backspace>', 'forward', mode='normal')
config.bind('<Control-Tab>', 'tab-next', mode='normal')
config.bind('<Control-Shift-Tab>', 'tab-prev', mode='normal')



#Config perso
c.editor.command = ["kakoune -e vim {}"]
c.zoom.default = 100
c.messages.timeout = 10000
c.downloads.remove_finished = 30000
c.content.headers.do_not_track = True
c.completion.height = "33%"
c.tabs.show = "multiple"
#c.tabs.new_position.related = "last"
#c.tabs.tabs_are_windows = True
c.content.javascript.enabled = False
config.set('content.javascript.enabled', True, '*://*.vulgarisons.info')
config.set('content.javascript.enabled', True, '*://mastodon.zaclys.com')
config.set('content.javascript.enabled', True, '*://*.melvoridle.com')
config.set('content.javascript.enabled', True, '*://*.raiffeisen.ch')
config.set('content.javascript.enabled', True, '*://*.cmnet.ch')

c.url.default_page = 'https://searx.info'
c.hints.mode = "number"
c.url.searchengines = {
	'DEFAULT':'https://searx.xyz/?q={}',
	'ddg':'https://duckduckgo.com/?q={}',
	'yt':'https://youtube.com/results?search_query={}',
	'wfr':'https://fr.wikipedia.org/w/index.php?search={}',
	'wen':'https://en.wikipedia.org/w/index.php?search={}',
	'wyen':'https://en.wiktionary.org/w/index.php?search={}',
	'wyfr':'https://fr.wiktionary.org/w/index.php?search={}',
	'imdb':'https://www.imdb.com/find?q={}',
	'mdn':'https://developer.mozilla.org/en-US/search?q={}',
	'deb':'https://tracker.debian.org/pkg/{}',
}

#Fonts
#c.fonts.statusbar = "17pt monospace"
#c.fonts.downloads = "17pt monospace"
#c.fonts.hints = "18pt monospace"
#c.fonts.keyhint = "17pt monospace"
#c.fonts.messages.error = "17pt monospace"
#c.fonts.messages.info = "17pt monospace"
#c.fonts.messages.warning = "17pt monospace"
#c.fonts.completion.entry = "17pt monospace"
#c.fonts.completion.category = "17pt monospace"
#c.fonts.prompts = "17pt monospace"


try:
	from qutebrowser.api import message
	sys.path.append(os.path.join(sys.path[0], 'jblock'))
	config.source("jblock/jblock/integrations/qutebrowser.py")
except ImportError:
	pass

config.load_autoconfig()
